import { I18nStrings, MtcuteI18nAdapter, MtcuteI18nFunction, OtherLanguageWrap } from './types.js';
export * from './plurals/english.js';
export * from './plurals/russian.js';
export * from './types.js';
export { extractLanguageFromUpdate } from './utils.js';
export interface MtcuteI18nParameters<Strings extends I18nStrings, Input> {
    /**
     * Primary language which will also be used as a fallback
     */
    primaryLanguage: {
        /**
         * Two letter language code.
         */
        name: string;
        /**
         * Strings for the language.
         */
        strings: Strings;
    };
    otherLanguages?: Record<string, OtherLanguageWrap<Strings>>;
    /**
     * Language that will be used if no language is specified
     *
     * @default  {@link primaryLanguage}
     */
    defaultLanguage?: string;
    /**
     * Adapter that will be used to extract language from the update.
     */
    adapter?: MtcuteI18nAdapter<Input>;
}
export declare function createMtcuteI18n<Strings extends I18nStrings, Input>(params: MtcuteI18nParameters<Strings, Input>): MtcuteI18nFunction<Strings, Input>;
